.reaction-container {
    position: relative;
}
.reactions-menu {
    /*display: none;*/
    position: absolute;
    top: -54px;
    left: 0;
    z-index: 5;
}
.reaction {
  display: inline-block;
  width: 38px;
  height: 38px;
  will-change: transform,opacity;
  transition: transform 0.075s linear 0s;
  position: relative;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
.reaction_icw, .reaction_ico {
  position: absolute;
  transition: transform 0.075s linear 0s;
  cursor: pointer;
}
.reaction_ico {
  display: block;
  transform: scale(0.5);
  will-change: transform,opacity;
  background-position: 50%;
  background-size: 100%;
}
.ReactionsMenu {
  --reaction-option-padding: 2px;
  padding: 10px;
  background-color: #fff;
  box-shadow: 0 0 24px 0 rgba(0,0,0,0.08),0 0 2px 0 rgba(0,0,0,0.16);
  border-radius: 999px;
}
.ReactionsMenu__inner {
  display: flex;
  margin: 0 calc(var(--reaction-option-padding, 3px)*-1);
}
.ReactionMenuItem {
  --reaction-icon-size-number: 42;
  --reaction-icon-size-enlarged-number: 56;
  --reaction-icon-size-enlarged-deltay: 38px;
  --reaction-icon-size-enlarged-diff: calc(var(--reaction-icon-size-enlarged-number) - var(--reaction-icon-size-number));
  --reaction-icon-enlarged-transform: translateY(calc(0px - var(--reaction-icon-size-enlarged-deltay))) scale(calc(var(--reaction-icon-size-enlarged-number)/var(--reaction-icon-size-number)));
  --reaction-icon-size: calc(var(--reaction-icon-size-number)*1px);
  --reaction-enlarged-transition: 200ms transform cubic-bezier(0.23, 1, 0.32, 1);
  --reaction-title-margin: 15px;
  padding: 0 var(--reaction-option-padding, 3px);
  position: relative;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-tap-highlight-color: transparent;
  user-select: none;
  -webkit-touch-callout: none;
  border: 0;
  background: 0 0;
}
.ReactionMenuItem__title {
  position: absolute;
  left: 50%;
  text-align: center;
  white-space: nowrap;
  transform: translateX(-50%) translateY(calc(var(--reaction-option-padding, 0) - var(--reaction-title-margin, 0) - var(--reaction-icon-size-enlarged-deltay, 0) - 1px*var(--reaction-icon-size-enlarged-diff, 0)));
  transform-origin: bottom center;
  transition: var(--reaction-enlarged-transition, none),200ms opacity cubic-bezier(.23,1,.32,1);
  color: #fff;
  background-color: #000;
  padding: 4px 8px;
  border-radius: 24px;
  font-weight: 500;
  -webkit-font-smoothing: subpixel-antialiased;
  -moz-osx-font-smoothing: auto;
  font-size: 12px;
  line-height: 14px;
  opacity: 0;
  pointer-events: none;
  top: 14px;
}
.ReactionMenuItem:hover .ReactionMenuItem__title {
  opacity: 1;
  font-size: 13px;
}
.ReactionMenuItem__image {
  transform: scale(1);
  transform-origin: center bottom;
  transition: var(--reaction-enlarged-transition, none);
  width: var(--reaction-icon-size, 36px);
  height: var(--reaction-icon-size, 36px);
  background-size: 100%;
  background-repeat: no-repeat;
}
.ReactionMenuItem__animationContainer {
  --reaction-icon-animation-safe-area: calc(var(--reaction-icon-size, 0)/6);
  display: flex;
  position: absolute;
  visibility: hidden;
  pointer-events: none;
  left: calc(var(--reaction-icon-animation-safe-area)*-1);
  top: calc(var(--reaction-icon-animation-safe-area)*-1);
  width: calc(var(--reaction-icon-size, 0) + (var(--reaction-icon-animation-safe-area))*2);
  height: calc(var(--reaction-icon-size, 0) + (var(--reaction-icon-animation-safe-area))*2);
}
.ReactionMenuItem--animationActive .ReactionMenuItem__animationContainer {
  visibility: visible;
}





.PostBottomButtons {
  display: flex;
  flex-direction: row;
  align-items: center;
}
.PostBottomButton {
  --post-bottom-button-background-color: #f2f3f5;
  --post-bottom-button-icon-size: 24px;
  --post-bottom-button-padding-horizontal: 10px;
  position: relative;
  display: flex;
  align-items: center;
  box-sizing: border-box;
  cursor: pointer;
  height: 32px;
  min-width: calc(var(--post-bottom-button-icon-size) + var(--post-bottom-button-padding-horizontal)*2);
  padding: 4px var(--post-bottom-button-padding-horizontal);
  background-color: var(--post-bottom-button-background-color);
  border-radius: 32px;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  text-decoration: none;
  overflow: hidden;
  text-overflow: ellipsis;
}
.PostBottomButton::before {
  content: "";
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  border-radius: inherit;
  background-image: -webkit-gradient(linear,left top,left bottom,from(rgba(0,0,0,.02)),to(rgba(0,0,0,.02)));
  background-image: linear-gradient(rgba(0,0,0,.02),rgba(0,0,0,.02));
  opacity: 0;
  transition: opacity 100ms ease-in-out;
}
@media (min-width: 400px) {
  .PostBottomButton {
    --post-bottom-button-padding-horizontal: 12px;
  }
}
.PostBottomButton.PostBottomButtonReaction {
  --post-bottom-button-icon-size-inner: 22px;
}

.PostBottomButton__icon {
  --post-bottom-button-icon-size: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--vkui--vkontakte_color_icon_outline_secondary);
  height: var(--post-bottom-button-icon-size, 24px);
  width: var(--post-bottom-button-icon-size, 24px);
}
.PostBottomButtonReaction__icon {
  --post-bottom-button-icon-size-inner: 22px;
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  width: var(--post-bottom-button-icon-size-inner, 22px);
  height: var(--post-bottom-button-icon-size-inner, 22px);
}
.PostBottomButton__label {
  font-size: 13px;
  line-height: 16px;
  font-weight: 500;
 /*-webkit-font-smoothing: subpixel-antialiased;*/
 /*-moz-osx-font-smoothing: auto;*/
  color: #818c99;
  margin-left: 4px;
  white-space: nowrap;
  min-width: 0;
  position: relative;
}
.ReactionMenuItem3:hover .reaction_ico {
    transform: scale(1.4) translateY(-10px);
}
.ReactionMenuItem:hover .ReactionMenuItem__image {
  transform: scale(1.6) translateY(-6px); /* В ВК очень сильное увеличение */
  z-index: 10;
}
/* Дополнительная анимация */
/*.ReactionMenuItem:hover .reaction_ico {
    transform: scale(1.1) translateY(-6px);
}*/



.reaction-counter1 {
  display: flex;
  height: 22px;
  margin-left: 10px;
  align-items: center;
}
.ReactionsPreview__label {
    transition: all 0.2s ease-in-out;
}

.PostBottomButtonReaction__label {
  margin-right: 2px;
  display: block;
}
.PostBottomButtonReaction__label--textual {
  position: relative;
  top: -1px;
  text-overflow: ellipsis;
  overflow: hidden;
}
.ReactionsPreview__label {
  font-size: 13px;
  line-height: 16px;
  margin-left: 6px;
  white-space: nowrap;
  color: #818c99;
}
.ReactionsPreview {
  display: flex;
  align-items: center;
  padding: 10px 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-touch-callout: none;
  will-change: transform,box-shadow;
  outline: none;
  -webkit-tap-highlight-color: transparent;
  -webkit-focus-ring-color: transparent;
}
.ReactionsPreview__items {
  display: flex;
  z-index: 0;
}
.reaction-icon {
  z-index: 2;
  border: 2px solid #fff;
  border-radius: 50%;
}
.reaction-icon:not(:first-child) {
  margin-left: -4px;
}
.reaction-particle {
  position: absolute;
  font-size: 20px;
  opacity: 1;
  animation: reaction-animation 2s ease-out;
  z-index: 11111;
}
@keyframes reaction-animation {
  0% {
    transform: translate(0, 0) scale(1);
    opacity: 1;
  }
  100% {
    transform: translate(var(--x), var(--y)) scale(0.5);
    opacity: 0;
  }
}


.reactions-menu {
  opacity: 0;
  transform: scale(0.8);
  transform-origin: center center;
  visibility: hidden;
  transition: opacity 0.1s ease, transform 0.1s ease, visibility 0.1s;
  pointer-events: none;
}
.reactions-menu--active {
  opacity: 1;
  transform: scale(1);
  visibility: visible;
  pointer-events: auto;
}
.reactions-menu--init-hide {
  display: none !important;
}




.reaction-fly-img {
  position: fixed;
  width: 36px;
  height: 36px;
  pointer-events: none;
  animation: flyImg 0.6s ease-out forwards;
  z-index: 9999999;
}
@keyframes flyImg {
  0% {
    transform: translateY(0) scale(1);
    opacity: 1;
  }
  100% {
    transform: translateY(-60px) scale(1.4);
    opacity: 0;
  }
}
.ReactionMenuItem.reaction-wave {
  opacity: 0;
  transform: scale(0.75) translateY(15px);
  animation: vkWave 400ms cubic-bezier(0.25, 1.4, 0.3, 1) forwards;
  transform-origin: bottom center;
}

@keyframes vkWave {
  to {
    opacity: 1;
    transform: scale(1) translateY(0);
  }
}
.reaction-flooooooooo {
  position: fixed;
  font-size: 28px;
  pointer-events: none;
  animation: flyUp 0.6s ease-out forwards;
  z-index: 99999999;
}
@keyframes flyUp {
  0% {
    transform: translateY(0) scale(1);
    opacity: 1;
  }
  70% {
    transform: translateY(-40px) scale(1.2);
    opacity: 0.8;
  }
  100% {
    transform: translateY(-60px) scale(1);
    opacity: 0;
  }
}



.reactions-menu:not(.reactions-menu--active) .ReactionMenuItem .reaction {
  transform: scale(0);
}

@keyframes reactionPop {
  0%   { transform: scale(0); }
  50%  { transform: scale(1.1); }
  100% { transform: scale(1); }
}

.ReactionMenuItem.reaction-wave .reaction {
  animation: reactionPop .7s forwards;
  animation-timing-function: cubic-bezier(.2,.65,.35,1.1);
  will-change: transform;
  backface-visibility: hidden;
}



.PostBottomButtonReaction__icon {
    width: 22px;
    height: 22px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.PostBottomButtonReaction__icon svg {
    width: 42px !important;
    height: 42px !important;
}
.btn-js-anim-container {
    display: flex !important;
    align-items: center;
    justify-content: center;
    transition: all 0.2s ease;
}
.reaction-counter {
    display: none; 
    align-items: center;
    opacity: 0;
    transform: translateX(-12px);
    transition: opacity 0.4s ease, transform 0.4s cubic-bezier(0.18, 0.89, 0.32, 1.28);
    will-change: transform, opacity; 
}
.reaction-counter--active {
  display: flex;
  opacity: 1 !important;
  transform: translateX(0) !important;
  height: 22px;
  margin-left: 8px;
  align-items: center;
}
.reaction-counter--show {
  display: flex;
  opacity: 1 !important;
  transform: translateX(0) !important;
  height: 22px;
  margin-left: 8px;
  align-items: center;
}



.btn-js-anim-container {
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.2s cubic-bezier(0.2, 0, 0.2, 1);
    background-repeat: no-repeat;
    background-position: center;
}
.btn-js-anim-container {
    width: 22px !important;
    height: 22px !important;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}
.btn-js-anim-container svg {
    position: absolute;
    width: 32px !important;
    height: 32px !important;
    transform: scale(1.30);
    pointer-events: none;
}